package sdsi;
import sdsi.sexp.*;

/**
 * Most TagExpressions are representable with a single SexpList, which
 * makes them amenable to inheriting the SDSIObject class.
 */
abstract class TESDSIObject
	extends SDSIObject
	implements TagExpression {

	TESDSIObject() {
		super();
	}

	TESDSIObject(SexpList l) {
		super(l);
	}

	public Sexp getSexp() {
		return getSrep();
	}
}
